Subject: Re: bug#78680: typescript-ts-mode "fills" code when using (fill-paragraph)

From: Juri Linkov <[email-masked]>
Date: Wed, 04 Jun 2025 09:10:13 +0300

>> 'c-ts-common-comment-setup' is a too confusing name.
>> It does more than just setting comment-related variables.
>> So 8bccccedb65a should have retained 'c-ts-common-comment-setup'.
>> Therefore I restored it in js-ts-mode and typescript-ts-base-mode.
>
> So you did exactly same thing as my patch, but instead of applying mine
> to account for contribution since I researched the problem and wrote
> the code, you just wrote same thing yourself. This is not fair.

Your commit message presented it as a new feature with motivations.  Whereas
I just reverted my recent mistake in two places: not only in typescript-ts-mode,
but also in js-ts-mode.  Thanks for finding this regression!